CON 
  _clkmode = xtal1 + pll16x 
  _xinfreq = 5_000_000 

  US_005 = 80_000_000 / 1_000_000 * 5                           ' 5us
    
  XB_Rx     = 5    ' XBee DOUT 
  XB_Tx     = 6    ' XBee DIN 
  XB_Baud   = 9600 
  CR        = 13   ' Carriage Return value       

con

  #0, CLS, HOME, #8, BKSP, TAB, LF, CLREOL, CLRDN           ' PST formmatting control


var

   long stack2[50]
   long Analog                                                                        
OBJ 
   ADC        : "jm_adc0838_ez"
   XB         : "FullDuplexSerial"

    
Pub  Start 

        XB.start(XB_Rx, XB_Tx, 0, XB_Baud)                           ' Initialize comms for XBee
 
        ADC.init(0, 1, 2)                                            ' setup ADC
             
        waitcnt(clkfreq + cnt)
         
          repeat
            XB.tx("A")

            Analog := adc.read(0)                     'Read ADC                                 
            XB.dec(Analog)                            'Transmit
            XB.tx(CR)
            waitcnt(clkfreq / 30 + cnt)               'slows down for testing

            Analog := adc.read(1)
            XB.dec(Analog)
            XB.tx(CR)
            waitcnt(clkfreq / 30 + cnt)            
         
            Analog := adc.read(2)
            XB.dec(Analog)
            XB.tx(CR)
            waitcnt(clkfreq / 30 + cnt)         
         
            Analog := adc.read(3)
            XB.dec(Analog)
            XB.tx(CR)
            waitcnt(clkfreq / 30 + cnt)        
          
            Analog := adc.read(4)
            XB.dec(Analog)
            XB.tx(CR)
            waitcnt(clkfreq / 30 + cnt)        
         
            Analog := adc.read(5)
            XB.dec(Analog)
            XB.tx(CR)
            waitcnt(clkfreq / 30 + cnt)  